IClass

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IClass

    com.change_vision.jude.api.inf.model.IClass

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

All Known Implementing Classes:
  IAssociationClass, ISubsystem, IUseCase

public IClass
extends INamedElement

Interface for classes.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IAttribute[]` | `getAttributes()` Get Attributes.
`abstract IRealization[]` | `getClientRealizations()` Get Realizations.
`abstract IUsage[]` | `getClientUsages()` Get Usages.
`abstract IGeneralization[]` | `getGeneralizations()` Get Generalization.
`abstract IClass[]` | `getNestedClasses()` Get Nested Classes.
`abstract IOperation[]` | `getOperations()` Get Operations.
`abstract IGeneralization[]` | `getSpecializations()` Get Specializations.
`abstract IRealization[]` | `getSupplierRealizations()` Get Supplier Realizations.
`abstract IUsage[]` | `getSupplierUsages()` Get Supplier Usages.
`abstract ITemplateBinding[]` | `getTemplateBindings()` Get Template Bindings.
`abstract IClassifierTemplateParameter[]` | `getTemplateParameters()` Get Template Parameters.
`abstract boolean` | `isAbstract()` Check if the class is abstract.
`abstract boolean` | `isActive()` Check if the class is active.
`abstract boolean` | `isLeaf()` Check if the element is a leaf.
`abstract void` | `setAbstract(boolean isAbstract)` Set Abstract to Class.
`abstract void` | `setActive(boolean isActive)` Set Active to Class.
`abstract void` | `setLeaf(boolean isLeaf)` Set Leaf to Class.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isAbstract

    public abstract boolean isAbstract()

  Check if the class is abstract.

  Returns:
    true it is abstract / false it is not abstract

### isLeaf

    public abstract boolean isLeaf()

  Check if the element is a leaf. (final in Java language)

  Returns:
    true it is a leaf / false it is not a leaf

### isActive

    public abstract boolean isActive()

  Check if the class is active.

  Returns:
    true it is active/ false it is not active

### getAttributes

    public abstract IAttribute[] getAttributes()

  Get Attributes. (Includes Association End)

  Returns:
    the array of Attributes (Includes Association End), Return the empty array in case there is none.

### getOperations

    public abstract IOperation[] getOperations()

  Get Operations.

  Returns:
    the array of Operations. Return the empty array if there is no operations found.

### getNestedClasses

    public abstract IClass[] getNestedClasses()

  Get Nested Classes.

  Returns:
    the array of Nested Classes. Return the empty array if there is none.

### getGeneralizations

    public abstract IGeneralization[] getGeneralizations()

  Get Generalization.

  Returns:
    the array of Generalizations. Return the empty array if there is none.

### getSpecializations

    public abstract IGeneralization[] getSpecializations()

  Get Specializations.

  Returns:
    the array of Specializations. Return the empty array if there is none.

### getSupplierRealizations

    public abstract IRealization[] getSupplierRealizations()

  Get Supplier Realizations.

  Returns:
    the array of Realizations. Return the empty array if there is none.

### getClientRealizations

    public abstract IRealization[] getClientRealizations()

  Get Realizations.

  Returns:
    the array of Realizations. Return the empty array if there is none.

### getSupplierUsages

    public abstract IUsage[] getSupplierUsages()

  Get Supplier Usages.

  Returns:
    the array of Usages. Return the empty array if there is none.

### getClientUsages

    public abstract IUsage[] getClientUsages()

  Get Usages.

  Returns:
    the array of Usages. Return the empty array if there is none.

### getTemplateParameters

    public abstract IClassifierTemplateParameter[] getTemplateParameters()

  Get Template Parameters.

  Returns:
    the array of Template Parameters. Return the empty array if there is none.

### getTemplateBindings

    public abstract ITemplateBinding[] getTemplateBindings()

  Get Template Bindings.

  Returns:
    the array of Template Bindings. Return the empty array if there is none.

### setAbstract

    public abstract void setAbstract(boolean isAbstract)

  Set Abstract to Class.

  Parameters:
    `isAbstract` - if true, it is abstract, otherwise, it is not abstract.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setLeaf

    public abstract void setLeaf(boolean isLeaf)

  Set Leaf to Class.

  Parameters:
    `isLeaf` - if true, it is not a leaf, otherwise, it is a leaf.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setActive

    public abstract void setActive(boolean isActive)

  Set Active to Class.

  Parameters:
    `isActive` - if true, it is active, otherwise, it is not active.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD